part of 'chat_list_bloc.dart';

abstract class ChatListEvent {}

class ChatListInitEvent extends ChatListEvent {}

class LoadUserInfoConversationEvent extends ChatListEvent {
  final String username;
  final String type;

  LoadUserInfoConversationEvent(this.username, this.type);
}

class ChatUpdateListConversationEvent extends ChatListEvent {
  final List<ChatListConversation> conversations;

  ChatUpdateListConversationEvent(this.conversations);
}

class ChatListRemoveEvent extends ChatListEvent {
  final String conversationId;

  ChatListRemoveEvent(this.conversationId);
}

class ChatListReadItemEvent extends ChatListEvent {
  ChatListConversation? c;

  String? username;
  ChatDetailType? detailType;
  String? displayName;
  String? thumbnail;

  ChatListReadItemEvent({
    this.c,
    this.username,
    this.displayName,
    this.thumbnail,
    this.detailType,
  });
}

class ChatListDisposeEvent extends ChatListEvent {}
